
Foreman - Bug #1012

When editing an hostgroup the puppet classes are not filtered by puppet's env

06/29/2011 03:34 AM - Pierre-Gilles Mialon

Status: Closed   

Priority: Normal   

Assignee: Romain Vrignaud   

Category:    

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

If we defined two environment in puppet, when editing an hostgroup the classes of both environment are displayed.

History

#1 - 07/11/2011 03:28 AM - Ohad Levy

- Status changed from New to Feedback

just to clarify, you mean that if you already had puppet classes assigned to a host

when changing to an environment which does not include those puppet classes, they remain in the list?

#2 - 07/31/2011 07:54 AM - Ohad Levy

- Status changed from Feedback to Need more information

#3 - 11/15/2012 06:26 AM - Benjamin Papillon

- Status changed from Need more information to Assigned

- Assignee set to Romain Vrignaud

I can't reproduce it in last dev package. But Romain can so I assign the bug to him for more tests.

#4 - 11/15/2012 11:19 AM - Romain Vrignaud

- Status changed from Assigned to Closed

- Target version set to Bug scrub

Was fixed between 1.0.1 and develop.

I close the issue.
